Page MenuHomePhabricator

VisualEditor: Links to current page should show as bold
Closed, ResolvedPublic1 Story Points

Description

When I add a link to the title of the page, it is displayed as a normal link instead of a <strong class="selflink">.

Same problem while editing a page with a 'selflink' already present.

The contributor doesn’t see the article as it will be after saving.

Details

Reference
bz50497

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:56 AM
bzimport set Reference to bz50497.
Ltrlg created this task.Jul 1 2013, 1:14 PM

crypticc62 wrote:

For those who might be wondering why selflinks would ever appear in an article: Many pages make use of navigation boxes, such as Template:Extreme Sports. Each navbox usually links to all of the articles that it will be transcluded to. So, with several hundred navboxes, each appearing on at least a dozen pages, we can expect selflinks to appear on several thousand articles.

This will need bug 37901 (a general CSS hinting system for links) to be implemented, which is planned for later this quarter. Hinting that links should be red (non-existent), bold (current), purple (stubs), orange (redirects) etc. will need to be supported in that service.

Neil_P._Quinn_WMF set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2015, 1:14 AM

bug 37901

aka T39901 in Phabricator numbering

Change 341774 had a related patch set uploaded (by Esanders):
[VisualEditor/VisualEditor] Allow links to be constructed with custom elements

https://gerrit.wikimedia.org/r/341774

Change 341775 had a related patch set uploaded (by Esanders):
[mediawiki/extensions/VisualEditor] Render self-links as <strong class="selflink">, not <a ...>

https://gerrit.wikimedia.org/r/341775

Change 342084 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Render self-links as if they were <strong>s

https://gerrit.wikimedia.org/r/342084

Krinkle removed a subscriber: Krinkle.Mar 18 2017, 3:20 AM

Change 341774 abandoned by Esanders:
Allow links to be constructed with custom elements

Reason:
See I88d45aad2aaa45e71b433350986b19764603a1f2

https://gerrit.wikimedia.org/r/341774

Change 341775 abandoned by Esanders:
Render self-links as <strong class="selflink">, not <a ...>

Reason:
See I88d45aad2aaa45e71b433350986b19764603a1f2

https://gerrit.wikimedia.org/r/341775

Change 342084 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Render self-links as if they were <strong>s

https://gerrit.wikimedia.org/r/342084

Change 345526 had a related patch set uploaded (by Esanders):
[mediawiki/extensions/VisualEditor@master] Follow-up I88d45aad2: Fix selflink detection

https://gerrit.wikimedia.org/r/345526

Change 345526 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Follow-up I88d45aad2: Fix selflink detection

https://gerrit.wikimedia.org/r/345526

Jdforrester-WMF closed this task as Resolved.Mar 30 2017, 2:49 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set the point value for this task to 1.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 30 2017, 2:49 PM